Skip to main content
GET
/
cloud
/
v3
/
bminstances
/
{project_id}
/
{region_id}
/
{server_id}
/
get_console
Get bare metal server console URL
curl --request GET \
  --url https://api.gcore.com/cloud/v3/bminstances/{project_id}/{region_id}/{server_id}/get_console \
  --header 'Authorization: <api-key>'
{
  "remote_console": {
    "protocol": "<string>",
    "type": "<string>",
    "url": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://gcore.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key for authentication. Make sure to include the word apikey, followed by a single space and then your token. Example: apikey 1234$abcdef

Path Parameters

project_id
integer
required

Project ID

Example:

1

region_id
integer
required

Region ID

Example:

1

server_id
string<uuid4>
required

Server ID

Example:

"024a29e-b4b7-4c91-9a46-505be123d9f8"

Query Parameters

console_type
enum<string>

Console type

Available options:
serial,
vnc
Example:

"vnc"

Response

200 - application/json

OK

remote_console
RemoteConsoleData · object
required

Remote console information

Example:
{
"protocol": "vnc",
"type": "novnc",
"url": "https://console-novnc.example.com/vnc_auto.html?path=%3Ftoken%3Df445c4b6-0a77-4fae-bc0e-147201dbfbea"
}